DHL Versenden (compatibility) | OneStepCheckout Help Center

DHL Versenden (compatibility)

The current article is regarding the module dhl_versenden version 1.3.0 and up.

They seem to be releasing new versions every month, so I am documenting fixes step by step, then relevant changes can be applied selectively. It has been proven challenging to keep up with the version changes when trying to stay integrated with a module.

1) When first installing, you will be getting a JS error,
"DhlServiceContainer is not defined".<br>

needs modification to : app/design/frontend/[YOUR THEME]/layout/dhl_versenden.xml

2) When clicking  "Oder wählen Sie die Lieferung an einen Paketshop oder eine Postfiliale.", you will be getting a JS error "Uncaught TypeError: checkout.gotoSection is not a function"

needs modification to : app/design/frontend/base/default/template/dhl_versenden/checkout/shipping_services.phtml


Link to gist with changes: https://gist.github.com/madismanni/7c9902e855a6a1869f3a592ca7a8bc78/revisions?diff=split